## org.hibernate.testing.tm
Class TransactionManagerLookupImpl

    java.lang.Object
      org.hibernate.testing.tm.TransactionManagerLookupImpl

All Implemented Interfaces:
  TransactionManagerLookup

    public class TransactionManagerLookupImpl

extends Object
implements TransactionManagerLookup

TransactionManagerLookupImpl implementation

Author:
  Steve Ebersole

Constructor Summary
`TransactionManagerLookupImpl()`

Method Summary
`Object` `getTransactionIdentifier(Transaction transaction)` Determine an identifier for the given transaction appropriate for use in caching/lookup usages.
`TransactionManager` `getTransactionManager(Properties props)` Obtain the JTA `TransactionManager`.
`String` `getUserTransactionName()` Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerLookupImpl

    public TransactionManagerLookupImpl()

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager(Properties props)
                                             throws HibernateException

  Description copied from interface: `TransactionManagerLookup`
  Obtain the JTA `TransactionManager`.

  Specified by:
    `getTransactionManager` in interface `TransactionManagerLookup`
  Parameters:
    `props` - The configuration properties.
  Returns:
    The JTA `TransactionManager`.
  Throws:
    `HibernateException` - Indicates problem locating `TransactionManager`.

### getUserTransactionName

    public String getUserTransactionName()

  Description copied from interface: `TransactionManagerLookup`
  Return the JNDI namespace of the JTA `UserTransaction` for this platform or `null`; optional operation.

  Specified by:
    `getUserTransactionName` in interface `TransactionManagerLookup`
  Returns:
    The JNDI namespace where we can locate the `UserTransaction` for this platform.

### getTransactionIdentifier

    public Object getTransactionIdentifier(Transaction transaction)

  Description copied from interface: `TransactionManagerLookup`
  Determine an identifier for the given transaction appropriate for use in caching/lookup usages.

  Generally speaking the transaction itself will be returned here. This method was added specifically for use in WebSphere and other unfriendly JEE containers (although WebSphere is still the only known such brain-dead, sales-driven impl).

  Specified by:
    `getTransactionIdentifier` in interface `TransactionManagerLookup`
  Parameters:
    `transaction` - The transaction to be identified.
  Returns:
    An appropropriate identifier

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.